"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlEditorFloatHighlightToolbar = void 0;
var react_1 = __importDefault(require("react"));
var react_2 = require("@tiptap/react");
var lodash_1 = require("lodash");
var html_float_edit_toolbar_content_1 = __importDefault(require("./html-float-edit-toolbar-content"));
var HtmlEditorFloatHighlightToolbar = function (props) {
    return (0, lodash_1.isNil)(props.editor) ? (react_1.default.createElement(react_1.default.Fragment, null)) : (react_1.default.createElement(react_2.BubbleMenu, { editor: props.editor, className: "menu-wrapper highlight-toolbar ".concat(props.wrapperClassName) },
        react_1.default.createElement(html_float_edit_toolbar_content_1.default, __assign({}, props))));
};
exports.HtmlEditorFloatHighlightToolbar = HtmlEditorFloatHighlightToolbar;
exports.default = exports.HtmlEditorFloatHighlightToolbar;
//# sourceMappingURL=html-float-highlight-toolbar.js.map